--- title: "Get add-on version" slug: "nks-getaddonconfigversion" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-getaddonconfigversion" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get add-on version Available in VPC Get details about an add-on version. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vnks/v2/addon-configs/{addonName}/versions/{version} (Korea Region) | | GET | /vnks/sgn-v2/addon-configs/{addonName}/versions/{version} (Singapore Region) | | GET | /vnks/jpn-v2/addon-configs/{addonName}/versions/{version} (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `addonName` | String | Required | Add-on name - See [Get add-on list](/docs/en/nks-getaddonconfiglist). | | `version` | String | Required | Add-on version - See `versions[]` of [Get add-on list](/docs/en/nks-getaddonconfig). - Example: `v1.0.0` | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `k8sVersion` | String | Required | Kubernetes version - See [Get supported K8s versions](/docs/en/nks-viewk8sversion). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/addon-configs/nks-csi/versions/v1.1.0?k8sVersion=1.27.9-nks.2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "name": "string", "version": "string", "deprecated": "boolean", "requiresWorkerNodes": "boolean", "chartRefPattern": "string", "configurationSchema": "object" } ``` ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Add-on name | | `version` | String | - | Add-on version | | `deprecated` | Boolean | - | Whether it is deprecated - `true` \| `false` - `true`: Deprecated (new installations not allowed) - `false`: Installable | | `requiresWorkerNodes` | Boolean | - | Whether a worker node is required during installation | | `chartRefPattern` | String | - | Helm chart reference patterns | | `configurationSchema` | Object | - | JSON schema used to define `configurationValues` | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "name": "nks-csi", "version": "v1.1.0", "deprecated": false, "requiresWorkerNodes": true, "chartRefPattern": "oci://nks.registry.ntruss.com/addons/nks-csi:{version}", "configurationSchema": { "type": "object", "properties": { "replicaCount": { "type": "integer", "default": 1 } } } } ```